PIKLAB(1)

NAME
piklab-coff - Command-line utility to view COFF files.

SYNOPSIS
piklab-coff [Qt-options] [KDE-options] [options] [file]

DESCRIPTION
This manual page documents briefly the piklab-coff command. Piklab-coff is a command line tool to view COFF files.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. Generic options:

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

--help-qt
        Show Qt specific options

--help-kde
        Show KDE specific options

--help-all
        Show all options

--author
        Show author information

--license
        Show license information

--
        End of options

Options:

-c, --command <name>
    Perform the requested command.

--command-list
    Return the list of recognized commands.

--debug
    Display debug messages.

--extra-debug
    Display extra debug messages.

--max-debug
    Display all debug messages.

--lowlevel-debug
    Display low level debug messages.

--quiet
    Do not display messages.

-f, --force
    Overwrite files and answer "yes" to questions.

-d, --device <name>
    Target device.

--device-list
    Return the list of supported devices.

SEE ALSO
piklab(1), piklab-prog(1), piklab-hex(1).

AUTHORS
piklab was written by Nicolas Hadacek and many others, including:
    * Alain Gibaud: author of Pikdev; main infrastructure; IDE interface; direct programmers; gputils integration.
    * Keith Baker: direct programmer support for 16F7X devices.
    * Xiaofan Chen: numerous tests of PICkit1/2 and ICD2 programmers.
    * Craig Franklin: author of gputils (disassembler and coff parser).
    * Manwlis Giannos: direct programmer support for PIC18FXX2/FXX8 devices.
    * Stephen Landamore: author of LPLAB (microchip command-line programmer).
    * Brian C. Lane: original code for direct programming.
    * Sébastion Laoût: author of Likeback.
    * Nestor A. Marchesini: tests of PicStart+ programmer.
    * Lorenz Mösenlechner and Matthias Kranz: USB support for ICD2 programmer.
    * Mirko Panciri: direct programmers with bidirectionnal buffers.
    * Sean A. Walberg: direct programmer support for 16F676/630 devices. Translations:
    * Michele Petrecca: Italian translation.
    * Alain Portal: French translation.
    * Stefan von Halenbach: German translation.
    * Nagy Lázló: Hungarian translation.

COPYRIGHT
This is free software. You may redistribute copies of it under the terms of the GNU General Public License
           <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

This manual page was written by Miriam Ruiz <little_miry@yahoo.es>, for the Debian project (but may be used by others).